# Uses of Class
org.eclipse.osgi.container.ModuleLoader

Packages that use ModuleLoader
Package
Description
org.eclipse.osgi.container

## Uses of ModuleLoader in org.eclipse.osgi.container

Methods in org.eclipse.osgi.container that return ModuleLoader
Modifier and Type
Method
Description
`ModuleLoader`
ModuleContainerAdaptor.`createModuleLoader(ModuleWiring wiring)`
Creates a new `ModuleLoader` for the specified wiring.
`ModuleLoader`
ModuleWiring.`getModuleLoader()`
Returns the module loader for this wiring.
Methods in org.eclipse.osgi.container with parameters of type ModuleLoader
Modifier and Type
Method
Description
`void`
ModuleContainerAdaptor.`invalidateWiring(ModuleWiring moduleWiring, ModuleLoader current)`
This is called when a wiring is made invalid and allows the adaptor to react to this.